Bug 40485 - [patch] fix devel/jam REINPLACE problem
Summary: [patch] fix devel/jam REINPLACE problem
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tetsurou Okazaki
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-12 15:10 UTC by edwin
Modified: 2002-08-05 00:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2002-07-12 15:10:02 UTC
The new REINPLACE_CMD command doesn't support \t as abbrevation for
tab and the makefile for devel/jam needs that.

Fix: Note that the "spaces" after the + are tabs!



ps. are you already getting sick of my PR's? :-P--3DI5tINTEyiWWiD5oml0VQG5d3r08D3YlwgjnYFeXwteXNYQ
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.old	Fri Jul 12 23:55:50 2002
+++ Makefile	Fri Jul 12 23:58:31 2002
@@ -21,7 +21,7 @@
 pre-patch:
 	@${REINPLACE_CMD} -e 's|^CC|#CC|g ; \
 		 s|^CFLAGS|#CFLAGS|g ; \
-		 s|\tjam|\t\$$\{.CURDIR\}/jam|g' ${WRKSRC}/Makefile
+		 s|	jam|	\$$\{.CURDIR\}/jam|g' ${WRKSRC}/Makefile
 
 do-install:
 .if ${MACHINE_ARCH} == "alpha"
How-To-Repeat: 
cd /usr/ports/devel/jam
make
Comment 1 corecode@corecode.ath.cx 2002-07-12 16:11:41 UTC
On Sat, 13 Jul 2002 00:05:54 +1000 (EST) Edwin Groothuis wrote:

> The new REINPLACE_CMD command doesn't support \t as abbrevation for
> tab and the makefile for devel/jam needs that.
[...]
> --- Makefile.old	Fri Jul 12 23:55:50 2002
> +++ Makefile	Fri Jul 12 23:58:31 2002
> @@ -21,7 +21,7 @@
>  pre-patch:
>  	@${REINPLACE_CMD} -e 's|^CC|#CC|g ; \
>  		 s|^CFLAGS|#CFLAGS|g ; \
> -		 s|\tjam|\t\$$\{.CURDIR\}/jam|g' ${WRKSRC}/Makefile
> +		 s|	jam|	\$$\{.CURDIR\}/jam|g' ${WRKSRC}/Makefile
>  
>  do-install:
>  .if ${MACHINE_ARCH} == "alpha"

i think a better fix for that would be a files/patch-aa like that one
that existed until the last update ;]

cheers
  simon


-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 edwin 2002-07-12 16:22:52 UTC
On Fri, Jul 12, 2002 at 05:11:41PM +0200, Simon 'corecode' Schubert wrote:
> On Sat, 13 Jul 2002 00:05:54 +1000 (EST) Edwin Groothuis wrote:
> 
> > The new REINPLACE_CMD command doesn't support \t as abbrevation for
> > tab and the makefile for devel/jam needs that.
> [...]
> > --- Makefile.old	Fri Jul 12 23:55:50 2002
> > +++ Makefile	Fri Jul 12 23:58:31 2002
> > @@ -21,7 +21,7 @@
> >  pre-patch:
> >  	@${REINPLACE_CMD} -e 's|^CC|#CC|g ; \
> >  		 s|^CFLAGS|#CFLAGS|g ; \
> > -		 s|\tjam|\t\$$\{.CURDIR\}/jam|g' ${WRKSRC}/Makefile
> > +		 s|	jam|	\$$\{.CURDIR\}/jam|g' ${WRKSRC}/Makefile
> >  
> >  do-install:
> >  .if ${MACHINE_ARCH} == "alpha"
> 
> i think a better fix for that would be a files/patch-aa like that one
> that existed until the last update ;]
       ^^^---vvv
(Unfortunatly there is no Attic available for ports)

I agree, except that I don't think(*) that it would be possible due
to use of ${.CURDIR}.

Edwin

(*) Feel free to correct me if I'm wrong, I'm used to it :-)

-- 
Edwin Groothuis      |           Personal website: http://www.MavEtJu.org
edwin@mavetju.org    |        Interested in MUDs? Visit Fatal Dimensions:
bash$ :(){ :|:&};:   |                    http://www.FatalDimensions.org/
Comment 3 corecode@corecode.ath.cx 2002-07-12 16:31:25 UTC
On Sat, 13 Jul 2002 01:22:52 +1000 Edwin Groothuis wrote:
> > i think a better fix for that would be a files/patch-aa like that one
> > that existed until the last update ;]
>        ^^^---vvv
> (Unfortunatly there is no Attic available for ports)

there is. at least for me and cvsweb.cgi:
<http://www.freebsd.org/cgi/cvsweb.cgi/ports/devel/jam/files/Attic/>

> I agree, except that I don't think(*) that it would be possible due
> to use of ${.CURDIR}.

why not? i don't think there is a difference using sed or patch to
replace ``jam0'' with ``${.CURdir}/jam0''

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 4 edwin 2002-07-12 16:43:41 UTC
On Fri, Jul 12, 2002 at 05:31:25PM +0200, Simon 'corecode' Schubert wrote:
> On Sat, 13 Jul 2002 01:22:52 +1000 Edwin Groothuis wrote:
> > > i think a better fix for that would be a files/patch-aa like that one
> > > that existed until the last update ;]
> >        ^^^---vvv
> > (Unfortunatly there is no Attic available for ports)
> 
> there is. at least for me and cvsweb.cgi:
> <http://www.freebsd.org/cgi/cvsweb.cgi/ports/devel/jam/files/Attic/>
> 
> > I agree, except that I don't think(*) that it would be possible due
> > to use of ${.CURDIR}.
> 
> why not? i don't think there is a difference using sed or patch to
> replace ``jam0'' with ``${.CURdir}/jam0''

Aha, I didn't recall if ${.CURDIR} was known inside work/jam-xxx/Makefile
or not and guessed for the "no it doesn't". You're right :-)

Edwin

-- 
Edwin Groothuis      |           Personal website: http://www.MavEtJu.org
edwin@mavetju.org    |        Interested in MUDs? Visit Fatal Dimensions:
bash$ :(){ :|:&};:   |                    http://www.FatalDimensions.org/
Comment 5 Cyrille Lefevre 2002-07-13 02:27:10 UTC
On Sat, Jul 13, 2002 at 12:05:54AM +1000, Edwin Groothuis wrote:
> 
> >Number:         40485

PR #40484 may be close since it is superceeded by this one.

> >Category:       ports
> >Synopsis:       [patch] fix devel/jam REINPLACE problem

to update a PR, it is far better to submit a followup rather than to
submit a new PR. to do so, use something like this :

        echo please, close this PR which was a local problem. thanks. |
	# or cat file |
        mail -s "Re: ports/32524: Port build failed: x11-toolkits/qt23" \
        freebsd-gnats-submit@FreeBSD.org

the important thing is `ports/32524'.

more informations here :

        Writing FreeBSD Problem Reports
        http://www.FreeBSD.org/doc/en_US.ISO8859-1/articles/problem-

Cyrille.
-- 
Cyrille Lefevre                 mailto:cyrille.lefevre@laposte.net
Comment 6 Tetsurou Okazaki freebsd_committer 2002-08-05 00:44:23 UTC
State Changed
From-To: open->closed

Fixed, thanks! 


Comment 7 Tetsurou Okazaki freebsd_committer 2002-08-05 00:44:23 UTC
Responsible Changed
From-To: freebsd-ports->okazaki

I handled this.